backintime-qt(1)

NAME
backintime-qt - a simple backup tool.

SYNOPSIS
backintime-qt [--checksum] [--config PATH] [--debug] [--delete] [--help | -h] [--keep-mount] [--license] [--local-backup | --no-local-backup] [--no-crontab] [--only-new] [--profile NAME | --profile-id ID] [--quiet] [--share-path PATH] [--version] { backup | backup-job | benchmark-cipher [FILE-SIZE] | check-config | decode [PATH] | last-snapshot | last-snapshot-path | pw-cache [start|stop|restart|reload|status] | remove[-and-do-not-ask-again] [SNAPSHOT_ID] | restore [WHAT [WHERE [SNAPSHOT_ID]]] | shutdown | smart-remove | snapshots-list | snapshots-list-path | snapshots-path | unmount }

DESCRIPTION
Back In Time is a simple backup tool for Linux. This is the Qt5 version. For more information about Back In Time see backintime man page.

If you want to run it as root you need to use 'backintime-qt_polkit'.

OPTIONS

--checksum
    Force to use checksum for checking if files have been changed. This is the same as 'Use checksum to detect changes' in Options. But you can use this to periodically run checksums from cronjobs. Only valid with backup, backup-job and restore.

--config PATH
    Read config from PATH. Default = ~/.config/backintime/config

--debug
    Show debug messages.

--delete
    Restore and delete newer files which are not in the snapshot. WARNING: deleting files in filesystem root could break your whole system!!! Only valid with restore.

-h, --help
    Display a short help

--keep-mount
    Don't unmount on exit. Only valid with snapshots-path, snapshots-list-path and last-snapshot-path.

--license
    Show license

--local-backup
    Create backup files before changing local files. Only valid with restore.

--no-crontab
    Do not install crontab entries. Only valid with check-config.

--no-local-backup
    Temporary disable creation of backup files before changing local files. Only valid with restore.

--only-new
    Only restore files which does not exist or are newer than those in destination. Using "rsync --update" option. Only valid with restore.

--profile NAME
    Select profile by name

--profile-id ID
    Select profile by id

--quiet
    Suppress status messages on standard output.

--share-path PATH
    Write runtime data (locks, messages, log and mountpoints) to PATH.

-v, --version
    Show version

COMMANDS

backup | -b | --backup
    Take a snapshot now.

backup-job | --backup-job
    Take a snapshot (if needed) depending on schedule rules (used for cron jobs). Back In Time will run in background for this.

benchmark-cipher | --benchmark-cipher [FILE-SIZE]
    Show a benchmark of all ciphers for ssh transfer.

check-config
    Verify the profile in config, create snapshot path and crontab entries.

decode | --decode [PATH]
    Decode encrypted PATH. If no PATH is given Back In Time will read paths from standard input.

last-snapshot | --last-snapshot
    Display last snapshot ID (if any)

last-snapshot-path | --last-snapshot-path
    Display the path to the last snapshot (if any)

pw-cache | --pw-cache [start|stop|restart|reload|status]
    Control the Password Cache Daemon. If no argument is given the Password Cache will start in foreground.

remove[-and-do-not-ask-again] | --remove[-and-do-not-ask-again] [SNAPSHOT_ID]
    Remove the snapshot. If SNAPSHOT_ID is missing it will be prompted. SNAPSHOT_ID can be an index (starting with 0 for the last snapshot) or the exact SnapshotID (19 characters like '20130606-230501-984'). remove-and-do-not-ask-again will remove the snapshot immediately. Be careful with this!

restore | --restore [WHAT [WHERE [SNAPSHOT_ID]]]
    Restore file WHAT to path WHERE from snapshot SNAPSHOT_ID. If arguments are missing they will be prompted. To restore to the original path WHERE can be an empty string '' or just press Enter at the prompt. SNAPSHOT_ID can be an index (starting with 0 for the last snapshot) or the exact SnapshotID (19 characters like '20130606-230501-984')

shutdown
    Shutdown the computer after the snapshot is done.

smart-remove
    Remove snapshots based on the configured Smart-Remove pattern.

snapshots-list | --snapshots-list
    Display the list of snapshot IDs (if any)

snapshots-list-path | --snapshots-list-path
    Display the paths to snapshots (if any)

snapshots-path | --snapshots-path
    Display path where is saves the snapshots (if configured)

unmount | --unmount
    Unmount the profile.

SEE ALSO
backintime, backintime-config.

Back In Time also has a website: https://github.com/bit-team/backintime

AUTHOR
This manual page was written by BIT Team(<bit-team@lists.launchpad.net>).